_Auxiliary_Code:
LDA.x	R0, #AlignedAddress(GPIO_PIN47_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN47_bit+0)=0
STI.x	GPIO_PIN47_bit+0, #AlignedAddress(R0)
NOP	
LDA.x	R0, #AlignedAddress(GPIO_PIN47_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN47_bit+0)=1
STI.x	GPIO_PIN47_bit+0, #AlignedAddress(R0)
L_end_Auxiliary_Code:
RETURN	
; end of _Auxiliary_Code
_Set_Index:
; index start address is: 0 (R0)
; index end address is: 0 (R0)
; index start address is: 0 (R0)
LDA.x	R1, #AlignedAddress(GPIO_PIN40_bit+0)
BINS.L	R1, R1, #BitPos(GPIO_PIN40_bit+0)=0
STI.x	GPIO_PIN40_bit+0, #AlignedAddress(R1)
NOP	
STA.B	GPIO_PORT_32_39+0, R0
; index end address is: 0 (R0)
NOP	
NOP	
CALL	_Auxiliary_Code+0
L_end_Set_Index:
RETURN	
; end of _Set_Index
_Write_Command:
; cmd start address is: 0 (R0)
; cmd end address is: 0 (R0)
; cmd start address is: 0 (R0)
LDA.x	R1, #AlignedAddress(GPIO_PIN40_bit+0)
BINS.L	R1, R1, #BitPos(GPIO_PIN40_bit+0)=1
STI.x	GPIO_PIN40_bit+0, #AlignedAddress(R1)
NOP	
STA.B	GPIO_PORT_32_39+0, R0
; cmd end address is: 0 (R0)
NOP	
NOP	
CALL	_Auxiliary_Code+0
L_end_Write_Command:
RETURN	
; end of _Write_Command
_Write_Data:
LINK	LR, #4
STI.S	SP, #0, R0
LDA.x	R1, #AlignedAddress(GPIO_PIN40_bit+0)
BINS.L	R1, R1, #BitPos(GPIO_PIN40_bit+0)=1
STI.x	GPIO_PIN40_bit+0, #AlignedAddress(R1)
NOP	
ADD.L	R1, SP, #0
ADD.L	R1, R1, #1
LDI.B	R1, R1, #0
STA.B	GPIO_PORT_32_39+0, R1
NOP	
NOP	
CALL	_Auxiliary_Code+0
NOP	
ADD.L	R1, SP, #0
LDI.B	R1, R1, #0
STA.B	GPIO_PORT_32_39+0, R1
NOP	
NOP	
CALL	_Auxiliary_Code+0
L_end_Write_Data:
UNLINK	LR
RETURN	
; end of _Write_Data
_Write_MCP9600_Data:
; _data start address is: 4 (R1)
; RegAddr start address is: 0 (R0)
; _data end address is: 4 (R1)
; RegAddr end address is: 0 (R0)
; RegAddr start address is: 0 (R0)
; _data start address is: 4 (R1)
STA.B	_tmp_data+0, R0
; RegAddr end address is: 0 (R0)
STA.B	_tmp_data+1, R1
; _data end address is: 4 (R1)
LDK.L	R0, #96
CALL	_I2CM_Set_Slave_Address+0
LDK.L	R1, #2
LDK.L	R0, #_tmp_data+0
CALL	_I2CM_Write_Bytes+0
L_end_Write_MCP9600_Data:
RETURN	
; end of _Write_MCP9600_Data
_Read_MCP9600_Data:
; RegAddr start address is: 0 (R0)
; RegAddr end address is: 0 (R0)
; RegAddr start address is: 0 (R0)
STA.B	_tmp_data+0, R0
; RegAddr end address is: 0 (R0)
LDK.L	R0, #96
CALL	_I2CM_Set_Slave_Address+0
LDK.L	R1, #1
LDK.L	R0, #_tmp_data+0
CALL	_I2CM_Write_Bytes+0
LPM.L	R28, #1665
NOP	
L_Read_MCP9600_Data0:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L_Read_MCP9600_Data0
JMP	$+8
	#1665
LDK.L	R1, #1
LDK.L	R0, #_tmp_data+0
CALL	_I2CM_Read_Bytes+0
LDA.B	R0, _tmp_data+0
L_end_Read_MCP9600_Data:
RETURN	
; end of _Read_MCP9600_Data
_Read_MCP9600_Status:
LDK.L	R0, #4
STA.B	_tmp_data+0, R0
LDK.L	R0, #96
CALL	_I2CM_Set_Slave_Address+0
LDK.L	R1, #1
LDK.L	R0, #_tmp_data+0
CALL	_I2CM_Write_Bytes+0
LPM.L	R28, #1665
NOP	
L_Read_MCP9600_Status2:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L_Read_MCP9600_Status2
JMP	$+8
	#1665
LDK.L	R1, #1
LDK.L	R0, #_tmp_data+0
CALL	_I2CM_Read_Bytes+0
LDA.B	R0, _tmp_data+0
L_end_Read_MCP9600_Status:
RETURN	
; end of _Read_MCP9600_Status
_Read_Temperature:
LINK	LR, #4
LDK.L	R0, #0
STA.B	_tmp_data+0, R0
LDK.L	R0, #96
CALL	_I2CM_Set_Slave_Address+0
LDK.L	R1, #1
LDK.L	R0, #_tmp_data+0
CALL	_I2CM_Write_Bytes+0
LPM.L	R28, #1665
NOP	
L_Read_Temperature4:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L_Read_Temperature4
JMP	$+8
	#1665
LDK.L	R1, #2
LDK.L	R0, #_tmp_data+0
CALL	_I2CM_Read_Bytes+0
LDA.B	R0, _tmp_data+0
AND.L	R0, R0, #128
CMP.B	R0, #128
JMPC	R30, Z, #0, L_Read_Temperature6
LDA.B	R0, _tmp_data+0
AND.L	R0, R0, #127
BEXTU.L	R0, R0, #256
STA.B	_tmp_data+0, R0
ASHL.L	R1, R0, #4
BEXTS.L	R1, R1, #0
LDA.B	R0, _tmp_data+1
LSHR.L	R0, R0, #4
BEXTU.L	R0, R0, #256
ADD.L	R1, R1, R0
BEXTS.L	R1, R1, #0
LDK.L	R0, #1024
SUB.L	R0, R0, R1
BEXTS.L	R0, R0, #0
BEXTS.L	R4, R0, #0
CALL	__SignedIntegralToFLoat+0
; Temperature start address is: 0 (R0)
; Temperature end address is: 0 (R0)
JMP	L_Read_Temperature7
L_Read_Temperature6:
LDA.B	R0, _tmp_data+0
ASHL.L	R0, R0, #4
STI.S	SP, #0, R0
LDA.B	R4, _tmp_data+1
CALL	__Unsigned8IntToFloat+0
LDK.L	R6, #1098907648
LDL.L	R6, R6, #1098907648
MOVE.L	R4, R0
CALL	__Div_FP+0
LDI.S	R1, SP, #0
BEXTS.L	R1, R1, #0
STI.L	SP, #0, R0
BEXTS.L	R4, R1, #0
CALL	__SignedIntegralToFLoat+0
LDI.L	R4, SP, #0
MOVE.L	R6, R0
CALL	__Add_FP+0
; Temperature start address is: 4 (R1)
MOVE.L	R1, R0
; Temperature end address is: 4 (R1)
MOVE.L	R0, R1
L_Read_Temperature7:
; Temperature start address is: 0 (R0)
; Temperature end address is: 0 (R0)
L_end_Read_Temperature:
UNLINK	LR
RETURN	
; end of _Read_Temperature
_updateLabel:
LINK	LR, #16
STI.L	SP, #0, R0
STI.S	SP, #4, R1
STI.S	SP, #8, R2
STI.L	SP, #12, R3
LDK.L	R2, #0
LDK.L	R1, #65535
LDK.L	R0, #_Tahoma52x52_Bold+0
CALL	_TFT_Set_Font+0
LDI.S	R2, SP, #8
LDI.S	R1, SP, #4
LDI.L	R0, SP, #12
CALL	_TFT_Write_Text+0
LDI.L	R1, SP, #0
LDI.L	R0, SP, #12
CALL	_strcpy+0
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #_Tahoma52x52_Bold+0
CALL	_TFT_Set_Font+0
LDI.S	R2, SP, #8
LDI.S	R1, SP, #4
LDI.L	R0, SP, #12
CALL	_TFT_Write_Text+0
L_end_updateLabel:
UNLINK	LR
RETURN	
; end of _updateLabel
_main:
LDK.L	SP, #43605
LDK.L	R2, #_Write_Data+0
LDK.L	R1, #_Write_Command+0
LDK.L	R0, #_Set_Index+0
CALL	_TFT_Set_Active+0
LDK.L	R1, #240
LDK.L	R0, #320
CALL	_TFT_Init_ILI9341_8bit+0
LDA.x	R0, #AlignedAddress(GPIO_PIN58_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN58_bit+0)=1
STI.x	GPIO_PIN58_bit+0, #AlignedAddress(R0)
LDK.L	R1, #1
LDK.L	R0, #65535
CALL	_TFT_Set_Pen+0
LDK.L	R5, #0
LDK.L	R4, #0
LDK.L	R3, #0
LDK.L	R2, #0
LDK.L	R1, #65535
LDK.L	R0, #1
CALL	_TFT_Set_Brush+0
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #_TFT_defaultFont+0
CALL	_TFT_Set_Font+0
LDK.L	R0, #65535
CALL	_TFT_Fill_Screen+0
LDK.L	R1, #1
LDK.L	R0, #0
CALL	_TFT_Set_Pen+0
LDK.L	R3, #46
LDK.L	R2, #300
LDK.L	R1, #46
LDK.L	R0, #20
CALL	_TFT_Line+0
LDK.L	R3, #70
LDK.L	R2, #300
LDK.L	R1, #70
LDK.L	R0, #20
CALL	_TFT_Line+0
LDK.L	R3, #220
LDK.L	R2, #300
LDK.L	R1, #220
LDK.L	R0, #20
CALL	_TFT_Line+0
LDK.L	R1, #1
LDK.L	R0, #65535
CALL	_TFT_Set_Pen+0
LDK.L	R2, #0
LDK.L	R1, #63488
LDK.L	R0, #_HandelGothic_BT21x22_Regular+0
CALL	_TFT_Set_Font+0
LDK.L	R0, #?lstr1_THERMO_K_click+0
LDK.L	R2, #14
LDK.L	R1, #85
CALL	_TFT_Write_Text+0
LDK.L	R2, #0
LDK.L	R1, #31
LDK.L	R0, #_Tahoma15x16_Bold+0
CALL	_TFT_Set_Font+0
LDK.L	R0, #?lstr2_THERMO_K_click+0
LDK.L	R2, #50
LDK.L	R1, #125
CALL	_TFT_Write_Text+0
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #_Verdana12x13_Regular+0
CALL	_TFT_Set_Font+0
LDK.L	R0, #?lstr3_THERMO_K_click+0
LDK.L	R2, #223
LDK.L	R1, #19
CALL	_TFT_Write_Text+0
LDK.L	R2, #0
LDK.L	R1, #63488
LDK.L	R0, #_Verdana12x13_Regular+0
CALL	_TFT_Set_Font+0
LDK.L	R0, #?lstr4_THERMO_K_click+0
LDK.L	R2, #223
LDK.L	R1, #200
CALL	_TFT_Write_Text+0
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #_Tahoma15x16_Bold+0
CALL	_TFT_Set_Font+0
LDK.L	R3, #1
LDK.L	R2, #_Thermometer_bmp+0
LDK.L	R1, #82
LDK.L	R0, #20
CALL	_TFT_Image+0
LDK.L	R1, #0
LDK.L	R0, #0
CALL	_I2CM1_Init+0
LPM.L	R28, #6666665
NOP	
L_main8:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L_main8
JMP	$+8
	#6666665
L_main10:
LDK.L	R0, #_Read_MCP9600_Status+0
BEXTU.L	R0, R0, #256
STA.B	_tk_status+0, R0
LDA.B	R0, _tk_status+0
AND.L	R0, R0, #64
STA.B	_Temp_Data_Ready+0, R0
CMP.B	R0, #0
JMPC	R30, Z, #1, L_main12
CALL	_Read_Temperature+0
LDK.L	R2, #?lstr_5_THERMO_K_click+0
LDK.L	R1, #_txt+0
PUSH.L	R0
PUSH.L	R2
PUSH.L	R1
CALL	_sprintf+0
ADD.L	SP, SP, #12
LDK.L	R1, #_old_txt+0
LDK.L	R0, #_txt+0
CALL	_strcmp+0
BEXTU.L	R0, R0, #256
CMP.B	R0, #0
JMPC	R30, Z, #1, L_main13
LDK.L	R3, #_lab1+0
LDK.L	R2, #90
LDK.L	R1, #135
LDK.L	R0, #_txt+0
CALL	_updateLabel+0
LDK.L	R1, #_txt+0
LDK.L	R0, #_old_txt+0
CALL	_strcpy+0
L_main13:
L_main12:
LPM.L	R28, #16666665
NOP	
L_main14:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L_main14
JMP	$+8
	#16666665
JMP	L_main10
L_end_main:
L__main_end_loop:
JMP	L__main_end_loop
; end of _main
